﻿
@model IEnumerable<APIFestival.Models.Festival>

@{APIFestival.Models.Festival festival = (APIFestival.Models.Festival)ViewData["Festival"];
    List<APIFestival.Models.Festival> listeFestival = ((List<APIFestival.Models.Festival>)ViewData["festivals"]);
    
    ViewData["Title"] = "Rechercher Lieu";


}

@{
    ViewData["Title"] = "RechercheLieu";

}

<h1>Rechercher un lieu</h1>

<form method="POST" asp-controller="Home" asp-action="RechercheLieu">


    <p>
        Entrez le lieu que vous souhaitez rechercher:<br />

        <input type="text" name="SearchString">
        <input type="submit" value="Search" />

    </p>
    @if (ViewData["message"] != null)
    {
        <p>@ViewData["message"]</p>
    }
</form>

@if (listeFestival != null && listeFestival.Count != 0)
{
    @foreach (Festival fest in listeFestival)
    {
        <div class="card mb-5" style="max-width: 1200px;margin-bottom: 5px;">
            <div class="row no-gutters">
                <div class="col-md-4">
                    <img src="@fest.UrlLogo"
                         class="card-img">
                </div>
                <div class="col-md-8">
                    <div class="card-body">
                        <h5 class="card-title"><a asp-controller="Home" asp-action="Inscription">@fest.Nom</a></h5>
                        <p class="card-text">Lieu : @fest.Lieu</p>
                        <p class="card-text">Descriptif : @fest.Description</p>
                        <p class="card-text">Dates : @fest.DateDeDebut.ToString("dd-MM-yyyy") au @fest.DateDeFin.ToString("dd-MM-yyyy")</p>

                    </div>
                </div>
            </div>
        </div>
    }
}



